%define	name		libevent
%define	version		0.3d
%define	release		1mdk
%define	major		0
%define finalname	%{name}%{major}

Summary:		Abstract asynchronous event notification library
Name:			%{name}
Version:		%{version}
Release:		%{release}
URL:			http://www.monkey.org/~provos/libevent/
License:		BSD
Source:			%{name}-%{version}.tar.bz2
Group:			System/Libraries
Obsoletes:		libevent
Provides:		libevent libevent = %{version}
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n		%{finalname}
Summary:		Abstract asynchronous event notification library
Group:          	System/Libraries
Obsoletes:		libevent
Provides:		libevent libevent = %{version}

%description -n		%{finalname}
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n		%{finalname}-devel
Summary:		Static library and header files for the libevent library
Group:			Development/C
License: 		GPL
Obsoletes:		libevent-devel
Provides:		libevent-devel libevent-devel = %{version}
Requires:		%{finalname} = %{version}-%{release}

%description -n		%{finalname}-devel
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

This package contains the static libevent library and its header files
needed to compile applications such as stegdetect, etc.

%prep
%setup -q -n %{name}

%build
export CFLAGS="%{optflags} -fPIC"
%configure

%make

#
# (fg) FIXME - UGLY - HACK - but libevent's Makefile doesn't allow to build a
# shared lib...
#

gcc -Wl,-soname,libevent.so.0 -shared -fpic -o libevent.so.0.3 *.o

%install
rm -fr %buildroot
install -d %{buildroot}/%{_includedir}
install -d %{buildroot}/%{_libdir}
install -d %{buildroot}/%{_mandir}/man3
install -m755 libevent.so.0.3 %{buildroot}/%{_libdir}/
install -m644 libevent.a %{buildroot}/%{_libdir}/
install -m644 event.h %{buildroot}/%{_includedir}/libevent.h
install -m644 event.3 %{buildroot}/%{_mandir}/man3/libevent.3

ln -s libevent.h %{buildroot}%{_includedir}/event.h
ln -s libevent.so.0.3 %{buildroot}%{_libdir}/libevent.so
ln -s libevent.so.0.3 %{buildroot}%{_libdir}/libevent.so.0

%clean
rm -fr %buildroot

%post -n %{finalname} -p /sbin/ldconfig

%postun -n %{finalname} -p /sbin/ldconfig

%post -n %{finalname}-devel -p /sbin/ldconfig

%postun -n %{finalname}-devel -p /sbin/ldconfig

%files -n %{finalname}
%defattr(-,root,root)
%{_libdir}/libevent.so.*
%{_mandir}/man3/*

%files -n %{finalname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libevent.so
%{_libdir}/libevent.a

%changelog
* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3d-1mdk
- initial cooker contrib
- stole the libpcap spec file
